package com.jeeplus.modules.sg.managementcenter.project.entity;

import com.jeeplus.core.persistence.DataEntity;

public class PickingRequisition extends DataEntity<PickingRequisition>{
      private String  lineItemNumber; //行项目定义号
      private String  requisition; //领料单号
      private String  userName; //用户名称
      private String  fullName; //全名
      private String  itemDetail; //项目描述
      private String  theFactory; //工厂
      private String  reservedNumberr; //预留编号
      private String  reserveLineNumber; //预留行项目号
      private String  projectDefinition; //项目定义号
      private String  wbsElement; //wbs元素
      private String  materialCode; //物料编码
      private String  materialDescription; //物料描述
      private String  measuringUnit; //计量单位
      private Double  quantityDemanded; //需求数量
      private Double quantityDelivered; //已出库数量
      private String  changeData; //更改时间
      private String  requisitionCostCenter; //完成领料成本中心
      private String  factoryDescription; //工厂描述
      private String  projectDepartment; //项目部门
      private String  batch; //批次
      private String  planningDivision; //规划分区
      private String  theOrder; //订单
      private String  wbsDescription; //purpose mark
      private String  purposeMark; //物资用途标
      private String  specialStock; //特殊库存标识
      private String  appointmentDate; //预约日期
      private String  purposeIdentification; //物资用途标识
      private String  returnId; //重新下传返回id
      private String  returnMessage; //重新下传返回消息

      private Double stockNumber;//非限制性库存数量
      private Integer status;//状态
      private Integer flagMoreThree;//是否超过三天
      private Double whetherStock;//判断是否缺货

        public Double getStockNumber() {
            return stockNumber;
        }

        public void setStockNumber(Double stockNumber) {
            this.stockNumber = stockNumber;
        }

      public Integer getStatus() {
            return status;
      }

      public void setStatus(Integer status) {
            this.status = status;
      }

      public Integer getFlagMoreThree() {
            return flagMoreThree;
      }

      public void setFlagMoreThree(Integer flagMoreThree) {
            this.flagMoreThree = flagMoreThree;
      }

      public String getLineItemNumber() {
            return lineItemNumber;
      }

      public void setLineItemNumber(String lineItemNumber) {
            this.lineItemNumber = lineItemNumber;
      }

      public String getRequisition() {
            return requisition;
      }

      public void setRequisition(String requisition) {
            this.requisition = requisition;
      }

      public String getUserName() {
            return userName;
      }

      public void setUserName(String userName) {
            this.userName = userName;
      }

      public String getFullName() {
            return fullName;
      }

      public void setFullName(String fullName) {
            this.fullName = fullName;
      }

      public String getItemDetail() {
            return itemDetail;
      }

      public void setItemDetail(String itemDetail) {
            this.itemDetail = itemDetail;
      }

      public String getTheFactory() {
            return theFactory;
      }

      public void setTheFactory(String theFactory) {
            this.theFactory = theFactory;
      }

      public String getReservedNumberr() {
            return reservedNumberr;
      }

      public void setReservedNumberr(String reservedNumberr) {
            this.reservedNumberr = reservedNumberr;
      }

      public String getReserveLineNumber() {
            return reserveLineNumber;
      }

      public void setReserveLineNumber(String reserveLineNumber) {
            this.reserveLineNumber = reserveLineNumber;
      }

      public String getProjectDefinition() {
            return projectDefinition;
      }

      public void setProjectDefinition(String projectDefinition) {
            this.projectDefinition = projectDefinition;
      }

      public String getWbsElement() {
            return wbsElement;
      }

      public void setWbsElement(String wbsElement) {
            this.wbsElement = wbsElement;
      }

      public String getMaterialCode() {
            return materialCode;
      }

      public void setMaterialCode(String materialCode) {
            this.materialCode = materialCode;
      }

      public String getMaterialDescription() {
            return materialDescription;
      }

      public void setMaterialDescription(String materialDescription) {
            this.materialDescription = materialDescription;
      }

      public String getMeasuringUnit() {
            return measuringUnit;
      }

      public void setMeasuringUnit(String measuringUnit) {
            this.measuringUnit = measuringUnit;
      }

    public Double getQuantityDemanded() {
        return quantityDemanded;
    }

    public void setQuantityDemanded(Double quantityDemanded) {
        this.quantityDemanded = quantityDemanded;
    }

    public Double getQuantityDelivered() {
        return quantityDelivered;
    }

    public void setQuantityDelivered(Double quantityDelivered) {
        this.quantityDelivered = quantityDelivered;
    }

    public String getChangeData() {
        return changeData;
    }

    public Double getWhetherStock() {
        return whetherStock;
    }

    public void setWhetherStock(Double whetherStock) {
        this.whetherStock = whetherStock;
    }

    public void setChangeData(String changeData) {
            this.changeData = changeData;
      }

      public String getRequisitionCostCenter() {
            return requisitionCostCenter;
      }

      public void setRequisitionCostCenter(String requisitionCostCenter) {
            this.requisitionCostCenter = requisitionCostCenter;
      }

      public String getFactoryDescription() {
            return factoryDescription;
      }

      public void setFactoryDescription(String factoryDescription) {
            this.factoryDescription = factoryDescription;
      }

      public String getProjectDepartment() {
            return projectDepartment;
      }

      public void setProjectDepartment(String projectDepartment) {
            this.projectDepartment = projectDepartment;
      }

      public String getBatch() {
            return batch;
      }

      public void setBatch(String batch) {
            this.batch = batch;
      }

      public String getPlanningDivision() {
            return planningDivision;
      }

      public void setPlanningDivision(String planningDivision) {
            this.planningDivision = planningDivision;
      }

      public String getTheOrder() {
            return theOrder;
      }

      public void setTheOrder(String theOrder) {
            this.theOrder = theOrder;
      }

      public String getWbsDescription() {
            return wbsDescription;
      }

      public void setWbsDescription(String wbsDescription) {
            this.wbsDescription = wbsDescription;
      }

      public String getPurposeMark() {
            return purposeMark;
      }

      public void setPurposeMark(String purposeMark) {
            this.purposeMark = purposeMark;
      }

      public String getSpecialStock() {
            return specialStock;
      }

      public void setSpecialStock(String specialStock) {
            this.specialStock = specialStock;
      }

      public String getAppointmentDate() {
            return appointmentDate;
      }

      public void setAppointmentDate(String appointmentDate) {
            this.appointmentDate = appointmentDate;
      }

      public String getPurposeIdentification() {
            return purposeIdentification;
      }

      public void setPurposeIdentification(String purposeIdentification) {
            this.purposeIdentification = purposeIdentification;
      }

      public String getReturnId() {
            return returnId;
      }

      public void setReturnId(String returnId) {
            this.returnId = returnId;
      }

      public String getReturnMessage() {
            return returnMessage;
      }

      public void setReturnMessage(String returnMessage) {
            this.returnMessage = returnMessage;
      }
}
